Skip to main content
POST
Create a helm

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
name
string
required

name is case insensitive

auto_deploy
boolean
required

Specify if the helm will be automatically updated after receiving a new image tag or a new commit according to the source type.

source
object
required
arguments
string[]
required

The extra arguments to pass to helm

values_override
object
required

Specify helm values you want to set or override

ports
object[]
description
string
timeout_sec
integer
default:600

Maximum number of seconds allowed for helm to run before killing it and mark it as failed

Required range: x >= 0
auto_preview
boolean | null

Indicates if the 'environment preview option' is enabled.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called or when a new commit is updated. If not specified, it takes the value of the auto_preview property from the associated environment.

allow_cluster_wide_resources
boolean
default:false

If we should allow the chart to deploy object outside his specified namespace. Setting this flag to true, requires special rights

icon_uri
string<uri>

Icon URI representing the helm service.

blueprint_id
string<uuid> | null

The blueprint ID the service has been created from

Response

Create helm

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
environment
object
required
name
string
required

name is case insensitive

auto_preview
boolean
required

Indicates if the 'environment preview option' is enabled.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called.
If not specified, it takes the value of the auto_preview property from the associated environment.

auto_deploy
boolean
required

Specify if the service will be automatically updated after receiving a new image tag or a new commit according to the source type.

source
object
required
arguments
string[]
required

The extra arguments to pass to helm

allow_cluster_wide_resources
boolean
default:false
required

If we should allow the chart to deploy object outside his specified namespace. Setting this flag to true, requires special rights

values_override
object
required

Specify helm values you want to set or override

icon_uri
string<uri>
required

Icon URI representing the helm service.

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
updated_at
string<date-time>
read-only
description
string
timeout_sec
integer
default:600

Maximum number of seconds allowed for helm to run before killing it and mark it as failed

Required range: x >= 0
ports
object[]
blueprint_id
string<uuid> | null

The blueprint ID the service has been created from